@if (componentData$ | async; as componentData) {
  <div
    class="full-width full-height neutral-background-color flex-column"
    sqtmCoreAttachmentDropZone
    (filesDropEvent)="
      addAttachmentToStep($event, getCurrentStep(componentData.execution))
    "
    [sqtmCoreWorkspace]="'campaign-workspace'"
  >
    <div class="full-width flex-fixed-size">
      <sqtm-app-execution-runner-toolbar
        [execution]="componentData.execution"
        [disabledExecutionStatus]="
          componentData.projectData.disabledExecutionStatus
        "
        [showFastForwardButton]="activateFastForwardButton$ | async"
        [milestonesAllowModification]="
          componentData.milestonesAllowModification
        "
        [allowTcModifDuringExec]="
          componentData.projectData.allowTcModifDuringExec &&
          componentData.execution.kind === 'STANDARD'
        "
        [permissions]="componentData.permissions"
        (navigateToPrologue)="navigateToPrologue($event)"
        (navigateToStep)="navigateToStep($event)"
        (changeStatus)="changeExecutionStepStatus($event)"
        (fastForwardToNextExecution)="fastForwardToNextExecution()"
        (modificationDuringExecutionStep)="
          navigateToModifStepDuringExecution($event)
        "
      ></sqtm-app-execution-runner-toolbar>
    </div>
    <div class="full-width full-height" style="overflow-y: auto">
      <sqtm-app-execution-step-body
        [execution]="componentData.execution"
        [permissions]="componentData.permissions"
        [milestonesAllowModification]="
          componentData.milestonesAllowModification
        "
        [customFieldBindingData]="
          componentData.projectData.customFieldBinding.EXECUTION_STEP
        "
      ></sqtm-app-execution-step-body>
    </div>
  </div>
}
